Newest Verbum/Logos Android app that works with Android 4.0.4?

Page 1 of 1 (4 items)
This post has 3 Replies | 1 Follower

Posts 408
Mark Nolette | Forum Activity | Posted: Mon, Sep 25 2017 2:44 PM

Yes, I know, it's an Android dinosaur! And I know that Faithlife doesn't support 4.0.4.  Still...

I now have an eInk device that runs Android 4.0.4 - but there should be a 4.4 upgrade for it fairly soon, or so we are told. In the meantime - what is the newest version of the Verbum/Logos app that works with 4.0.4? I have Logos 4.3.9 now on that device. Just checking to see if a newer version of the app would work. 

Thanks!  

Posts 1
Ruben Ohlig | Forum Activity | Replied: Tue, Oct 31 2017 7:46 AM

Is it an Onxy device?

If so, I have the same question...

But it would be possible to use 4.4 beta software, even trough it might not be that stable....

Posts 1709
Robert M. Warren | Forum Activity | Replied: Tue, Oct 31 2017 9:18 AM

I had the same issue with a clunky old Asus tablet running 4.2. I couldn't find a (working) Logos Bible APK anywhere. I wound up having to root it and install a custom version 5 ROM. Sadly, it's still clunky.

Now my 4.4.2 tablet & phone on the long goodbye list, as the Logos for Android V6 beta requires Android 5 or above. See thread https://community.logos.com/forums/p/152877/931438.aspx#931438 .  I won't go through rooting & romming again, so when Logos Bible 5.XX becomes unusable (as the above thread says it will ultimately), I'll either stop using it or buy new stuff. It's a shame Faithlife can't archive the old APKs, but I;m sure they have s support reason not to.

So, if you go to heroic efforts to upgrade your device to 4.4, understand it will be short-lived, although we don't know exactly when.

Win 10 Android 8.1 Fire OS 5

Posts 408
Mark Nolette | Forum Activity | Replied: Wed, Nov 1 2017 5:05 AM

4.3.9 is the most recent version of Logos that will run on Android 4.04. It is fairly snappy on my Kepler Pro, though its feature list now looks somewhat limited compared to more recent versions. So far, the only resource that I use frequently that will not open on 4.3.9 is the New Interpreter's Bible. Of course, the list of non-working resources will only grow with time.  

I also have a Boyue T63 that runs Android 4.2.2.  The NIB still works on that, at least for now.  

I certainly understand FL wanting to take advantages of the features that newer Android versions offer. I have wanted to run Logos/Verbum on an eInk device, as eInk, for me, remains the best medium for lengthy reading on any device. However, various realities are getting in the way. As we know, eInk devices tend to run older versions of Android. Onyx says that they will release, in a few months, devices that run on Android 6.0.  That would be a big help.  But these new devices will be larger - 9.7 in. and up - and will also be more expensive than the 6 in. readers. 

In the meantime, I now feel more inclined to stick with my iPad for Logos/Verbum use. Reading on the iPad Pro is nearly as good, for me, as eInk. And it's far more responsive than any eInk device.  It may be time to let the eInk dream go, as far as FL apps are concerned. I have spent enough money chasing eInk!  Too much, to be honest.  

Page 1 of 1 (4 items) | RSS